import classnames from "classnames";
import Taro from "@tarojs/taro";
import { Component } from "react";

import { Block, View, Image } from "@tarojs/components";

import "./nodata.less";

export default class NoDataComponent extends Component<any, any> {
  constructor(props) {
    super(props);
    this.state = {
      name: "无数据组件",
    };
  }

  async onLoad() {}
  componentDidMount() {}

  componentWillUnmount() {}

  componentDidShow() {}

  componentDidHide() {}

  async initData() {}

  showInit() {}

  render() {
    return (
      <Block>
        <View>
          <View className="nodata">
            <Image
              className="nodata_img"
              src={require("../../img/nodata.png")}
            ></Image>
            <View className="nodata_text">暂无数据</View>
          </View>
        </View>
      </Block>
    );
  }
}
